summaryrefslogtreecommitdiff
path: root/source3/script/tests/test_smbtorture_s3.sh
diff options
context:
space:
mode:
authorStefan Metzmacher <metze@samba.org>2006-03-23 14:55:38 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 11:15:43 -0500
commitaa583e5912866069f1f79e0b675e9e7927c64fbe (patch)
treef10a321c5f09425981e63f08e9f55cfbc0489ce4 /source3/script/tests/test_smbtorture_s3.sh
parent8d75615bf11a89e8171e70567e698323e71bc428 (diff)
downloadsamba-aa583e5912866069f1f79e0b675e9e7927c64fbe.tar.gz
samba-aa583e5912866069f1f79e0b675e9e7927c64fbe.tar.bz2
samba-aa583e5912866069f1f79e0b675e9e7927c64fbe.zip
r14678: - we need to use 127.0.0.2/8 as interface for the server
as nmbd skip interfaces with address 127.0.0.1 - add samba3 smbclient -L tests - add samba3 smbtorture tests metze (This used to be commit 835f8f4339f41619ec890e38569b745c5ef5d44e)
Diffstat (limited to 'source3/script/tests/test_smbtorture_s3.sh')
-rwxr-xr-xsource3/script/tests/test_smbtorture_s3.sh47
1 files changed, 47 insertions, 0 deletions
diff --git a/source3/script/tests/test_smbtorture_s3.sh b/source3/script/tests/test_smbtorture_s3.sh
new file mode 100755
index 0000000000..d0e15345df
--- /dev/null
+++ b/source3/script/tests/test_smbtorture_s3.sh
@@ -0,0 +1,47 @@
+#!/bin/sh
+
+# this runs the file serving tests that are expected to pass with samba3
+
+if [ $# -lt 3 ]; then
+cat <<EOF
+Usage: test_smbtorture_s3.sh UNC USERNAME PASSWORD <first> <smbtorture args>
+EOF
+exit 1;
+fi
+
+unc="$1"
+username="$2"
+password="$3"
+start="$4"
+shift 4
+ADDARGS="$*"
+
+incdir=`dirname $0`
+. $incdir/test_functions.sh
+
+tests="FDPASS LOCK1 LOCK2 LOCK3 LOCK4 LOCK5 LOCK6 LOCK7"
+tests="$tests UNLINK BROWSE ATTR TRANS2 MAXFID TORTURE "
+tests="$tests OPLOCK1 OPLOCK2 OPLOCK3"
+tests="$tests DIR DIR1 TCON TCONDEV RW1 RW2 RW3"
+tests="$tests OPEN XCOPY RENAME DELETE PROPERTIES W2K"
+tests="$tests PIPE_NUMBER TCON2 IOCTL CHKPATH FDSESS"
+
+skipped1="RANDOMIPC NEGNOWAIT NBENCH ERRMAPEXTRACT TRANS2SCAN NTTRANSSCAN"
+skipped2="DENY1 DENY2 OPENATTR CASETABLE EATEST"
+skipped3="MANGLE UTABLE"
+echo "Skipping the following tests:"
+echo "$skipped1"
+echo "$skipped2"
+echo "$skipped3"
+
+failed=0
+for t in $tests; do
+ if [ ! -z "$start" -a "$start" != $t ]; then
+ continue;
+ fi
+ start=""
+ name="$t"
+ testit "$name" $VALGRIND $SRCDIR/bin/smbtorture $ADDARGS $unc -U"$username"%"$password" $t || failed=`expr $failed + 1`
+done
+
+testok $0 $failed